%
% anyremote configuration file for testing of icon auto-upload feature
% 

% STATUS stable
% XTEST no
% SOUND no
% ENV no

GuiAppName=AutoUpload
GuiAppIcon=redo.png
GuiAppType=Custom
GuiAppBinary=true
GuiAppProtocols=Server
GuiAppDesc=Tests icon auto-upload feature

[Protocol]=Server

(Init)=Include($(CfgDir)/Utils/aliases-server.cfg);

(Connect)=\
	Set(parameter,debug,on);\
	Set(icons,Icon auto-upload,1,plus,2,default,3,default,4,down,5,fullscreen,6,up,7,default,8,default,9,default,*,question,0,no,#,default);\
	Set(title,);\
	Set(status,);\
	Macro(MainMenu);

MainMenu  =Set(menu,replace,RemoveAll);

Back($$)  =Set(list,close);
Back      =Set(text,close);
RemoveAll =Set(image,remove,icons);

Cancel=\
    Make(exit);

1=Set(icons,Icon auto-upload,1,launch,2,eject,3,favorites,4,bottom,5,fullscreen,6,top,7,first,8,ok,9,last,*,question,0,exit,#,record);\
	Macro(UpdateMenu);

* 1=Set(icons,Icon auto-upload,1,launch);\
	Macro(UpdateMenu);

4=Set(parameter,icon_size,16);
5=Set(parameter,icon_size,32);
6=Set(parameter,icon_size,64)

0=Macro(Cancel);
* *=Set(text,replace,Help, J2ME client only!\nTests for icon auto-upload feature.\n Select icon size and press 1\n to start upoad.\n Icons must be \n 16x16,32x32 or 64x64 PNG.\n Press 4 to see 16x16 icons\n Press 5 to see 32x32 icons\n Press 6 to see 64x64 icons);

[End]
